(function ($, Drupal) {

  /**
   * EBT Tabs behavior.
   */
  Drupal.behaviors.ebtTabs = {
    attach: function (context, settings) {
      for (var i = 0; i < drupalSettings.ebtTabs.length; i++) {
        // Initialize jQuery UI tabs.
        var revisionId = drupalSettings.ebtTabs[i].revision_id;
        var $blockTabs = $('.block-revision-id-' + drupalSettings.ebtTabs[i].revision_id);
        if ($blockTabs.hasClass('tabs-added')) {
          continue;
        }
        $blockTabs.append('<div id="ebt-tabs' + revisionId + '"></div>');
        $('#ebt-tabs' + revisionId).prepend('<ul class="tabs-revision-id-' + revisionId + '"></ul>');
        $blockTabs.find('.field--name-field-ebt-tabs > .field__item').once('reorder-blocks').each(function(index) {
          $(this)
            .find('.ebt-tab-title')
            .appendTo($('.tabs-revision-id-' + revisionId))
            .wrap('<li><a href="#ebt-tabs' + revisionId + '-' + index + '"></a></li>');
          $(this)
            .find('.ebt-tab-content')
            .appendTo($('#ebt-tabs' + revisionId))
            .wrap('<div id="ebt-tabs' + revisionId + '-' + index + '"></div>');
        });
        // @todo Pass tabs options here.
        $('#ebt-tabs' + revisionId).tabs();
        $blockTabs.addClass('tabs-added');
      }
    }
  };

})(jQuery, Drupal);
